Subject: CGit and repository list

From: Petr Baudis <[email-masked]>
Date: Fri, 12 Sep 2008 16:58:04 +0200

Hi,

On Fri, Sep 12, 2008 at 04:36:11PM +0200, Lars Hjemli wrote:
> <plug>
> Current cgit also allows cloning over http using the same url as for
> browsing the repo, i.e. you may
> 
>   $ git clone http://hjemli.net/git/cgit
> 
> This has one advantage over just publishing the repo; you don't have
> to run `git-update-server-info` (thanks to the work done by Shawn O.
> Pearce on git-http-backend, which is shamelessly reimplemented in
> cgit).
> </plug>

  this finally tripped me over and I wanted to quickly add cgit as an
alternate viewing interface at repo.or.cz. But it seems that cgit
requires all the repositories explicitly listed in the config file.
Do you plan to remove this limitation in the future?

  Thanks,

				Petr "Pasky" Baudis